## twolame.spec
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: An MPEG Audio Layer II (MP2) encoder.
Name: twolame
Version: 0.3.13
Release: 2%{?dist}
License: LGPL
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: System/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}

%package devel
Summary: Development header files and example code.
Group: Development/Libraries/C and C++
Requires: twolame

%description
TwoLAME is an MPEG Audio Layer II (MP2) encoder licensed under the LGPL.

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these. 

%prep
%setup -q

%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/doc/twolame $RPM_BUILD_ROOT/usr/share/doc/twolame-%{version}

%post
ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/twolame
%{_libdir}/libtwolame.so.0.0.0
%{_libdir}/libtwolame.so.0
/usr/share/man/man1/twolame.1.gz
/usr/share/doc/twolame-%{version}/*
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README


%files devel
%defattr(-,root,root)
%{_libdir}/libtwolame.so
%{_libdir}/libtwolame.a
%{_libdir}/libtwolame.la
%{_libdir}/pkgconfig/twolame.pc
%{_includedir}/twolame.h
%doc doc/api.txt


%changelog
* Tue Feb  7 2017 Fred Gleason <fredg@paravelsystems.com> - 0.3.13-2
-- Moved 'libtwolame.so' to the devel package.

* Fri Feb 21 2014 Fred Gleason <fredg@paravelsystems.com> - 0.3.13-1
-- Updated for 0.3.13.

* Tue Jan 05 2010 Fred Gleason <fredg@paravelsystems.com>
-- Initial RPM creation.
